Subject: Re: [PATCH v5 05/16] bisect--helper: make `terms` an explicit singleton

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Aug 2022 10:47:29 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Sat, Aug 27 2022, Johannes Schindelin via GitGitGadget wrote:
>
>> From: Johannes Schindelin <[email-masked]>
>> [...]
>> -	free((void *)terms->term_good);
>> -	terms->term_good = xstrdup(good);
>> -	free((void *)terms->term_bad);
>> -	terms->term_bad = xstrdup(bad);
>> +	free((void *)terms.term_good);
>> +	terms.term_good = xstrdup(good);
>> +	free((void *)terms.term_bad);
>> +	terms.term_bad = xstrdup(bad);
>>  }
>
> This is pre-existing, and dates back to 0f30233a11f (bisect--helper:
> `bisect_write` shell function in C, 2019-01-02), but it appears this
> cast to a "void *" was never needed. Perhaps some C++-ism that crept in
> here?
>
> As we're changing this all around perhaps it's worth droppping the cast,
> or it could be left for some other "remove redundant casts" series.

Nice to notice it.  I suspect that at some point in the evolution of
the offending patch in 2019 the members were of type "const char *"
and needed to cast the constness away, or something, perhaps?

In any case, such a change belongs to either preliminary clean-up
before the series, or post clean-up after the dust settles, not
something we'd want to see "while we are at it" to distract us.